/*
 * Write to disk benchmark
 */

#include <stdio.h>
#include "timer.h"

#define BLOCKS 256

main()
{
    char buffer[512];
    char *filename = "a_large_file";
    register int i;
    int filedes;

    init_timer();
    start_timer();

    if((filedes = creat(filename, 0640)) < 0)
    {
        printf("Cannot create file\n");
        exit(1);
    }
    else
    {
        close(filedes);
        if((filedes = open(filename, 1)) < 0)
        {
            printf("Cannot open file\n");
            exit(1);
        }
    }

    for(i = 0; i < BLOCKS; i++)
        if(write(filedes, buffer, 512) < 0)
        {
            printf("Error writing block %d\n", i);
            exit(1);
        }
    close(filedes);
    print_elapsed("dwrite benchmark", REALMIN);
    exit(0);
}

